Subject: Zope Question
From: Ryan Booz <[email-masked]>
To: Comp Ed List <[email-masked]>
Date: Mon, 25 Sep 2000 15:03:51 -0400

Hey gang,

I'm posting this question here because I know a while back some people
had mentioned they were using Zope.  I'm trying to start using it,
getting used to the DTML and all the other stuff.  I can get it running
with my Apache server, and that's all well and good.  But I have these
two questions which I can't seem to find answers to in current Zope
documents and help.

1.  How do I get the server process to run as a daemon?  I've tried the
one script for an rc process I found on a site, but my server just hangs
and I never get a command prompt back.  All other processes I've ever
run at startup are either designed to be daemons, or have a specific
switch to add to the program name.

2.  OK, this is kind of two part.  First, where does Zope actually store
all of the directories and files you create for a site.  If I have a
fake directory as the "trigger" for the persistent CGI process, than
where does it actually store this pages I'm creating?  As an example,
following the install instructions that comes with Zope, I've set Apache
to send every request for /zope to the FastCGI process running in the
background.  That directory does not exist in my htdocs directory.
Where is this stuff going?

    Two, can I get Zope to answer the general requests for a site (like
www.bms.school my internal server and fake domain.)  Rather than having
to specify a directory, it would just send all requests to Zope.  But to
take that one step further, if I had user accounts set up with the
/~username convention, would this stuff be able to pass through Zope and
actually go to those directories?  I don't think I'm making this
question clear, but I don't know how else to state it right now.

Thanks a bunch,
Ryan Booz
Belleville Mennonite School